## uwsgi 2.0.19.1

=== debian/changelog ===
uwsgi (2.0.19.1-7.1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Non-maintainer upload.
  * Add upstream patch to support Transfer-Encoding: chuncked, necessary for
    OpenStack Glance and Swift over uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jun 2021 11:08:33 +0200

uwsgi (2.0.19.1-7) unstable; urgency=medium

  * add patch cherry-picked upstream
    to remove PHP TSRMLS_* macros;
    unfuzz another upstream cherry-picked patch;
    see bug#989191, thanks to Bryce Harrington

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 May 2021 07:56:03 +0200

uwsgi (2.0.19.1-6) unstable; urgency=medium

  * fix permissions of runtime dir in uwsgi-emperor;
    closes: bug#982434, thanks to Vlastimil Zíma

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Feb 2021 10:15:46 +0100

uwsgi (2.0.19.1-5) unstable; urgency=medium

  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * add uwsgi-emperor systemd service;
    closes: bug#969372,
    thanks to Rens Houben, Thomas Goirand, Peter Ludikovsky and others
  * copyright:
    + use only canonical Source URL
    + update coverage
  * declare compliance with Debian Policy 4.5.1
  * drop obsolete lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Jan 2021 17:54:19 +0100

uwsgi (2.0.19.1-4) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix path to glusterfs header;
    drop superseded patch 1015
  * add patches cherry-picked upstream:
    + don't overwrite hr->remains in http plugin raw_body mode
    + add regression test
      for issue of log hiding Unhandled object error
    + add millis to format log
    + send close frame to client when uwsgi receives close frame
    + use new Py_SET_SIZE API introduced in Python 3.9
  * add patches cherry-picked upstream
    to modernize Python calls
  * fix declare options deb-confnamespace and deb-confname,
    to support strict parsing;
    closes: bug#970793, thanks to Manfred Benesch
  * fix update uwsgi README.Debian
    to cover controlling specific uwsgi instances with systemd;
    closes: bug#772544, thanks to My Work and Marius Gedminas
  * declare compliance with Debian Policy 4.5.1
  * modernize source script copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Dec 2020 14:01:36 +0100

uwsgi (2.0.19.1-3) unstable; urgency=medium

  * fix revert uwsgi init script to use bash
    (not POSIX shell: sources bash snippets)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Sep 2020 19:48:48 +0200

uwsgi (2.0.19.1-2) unstable; urgency=medium

  * fix uwsgi-emperor init script
    to use init-d-script (not POSIX shell) as shebang
    (broken since 2.0.8-1~exp2, almost 6 years ago);
    closes: bug#969372, thanks to Peter Ludikovsky
  * tighten uwsgi init script
    to use POSIX shell (not bash) as shebang,
    and parse all init scripts as POSIX shell in shellcheck check
  * declare compliance with Debian Policy 4.5.0
  * simplify source script copyright-chceck

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Sep 2020 18:16:56 +0200

uwsgi (2.0.19.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2020 13:10:42 +0200

uwsgi (2.0.18+20200523-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * drop fix-php-ldflags.patch: /usr/lib/php7 does not exist
    (php5 leftover)
  * add patch 2001 to enable verbose builds in the uwsgi build system

  [ Jonas Smedegaard ]
  * fix typo in patch 2001 DEP3 header

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jun 2020 13:07:38 +0200

=== debian/control ===
Source: uwsgi
Section: httpd
Priority: optional
Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends-Indep:
 shellcheck,
Build-Depends:
 cdbs,
 python3,
 dh-python,
 debhelper,
 dh-buildinfo,
 libpcre3-dev,
 libssl-dev,
 uuid-dev,
 zlib1g-dev,
 libcap-dev [linux-any],
 libjail-dev [kfreebsd-any],
 2to3,
 apache2-dev | apache2-threaded-dev,
 cli-common-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
 dh-apache2 | apache2-dev,
 gccgo [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 libglusterfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 help2man,
 java-common,
 javahelper,
 libacl1-dev,
 libapr1-dev,
 libaprutil1-dev,
 libbz2-dev,
 libcurl4-openssl-dev,
 libdb-dev,
 libgeoip-dev,
 libgloox-dev,
 libjansson-dev,
 libkvm-dev [kfreebsd-any],
 libldap2-dev,
 liblua5.1-0-dev,
 liblua5.2-dev,
 libonig-dev,
 libpam0g-dev,
 libperl-dev,
 libpq-dev,
 librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 libsqlite3-dev,
 libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
 libwrap0-dev,
 libxml2-dev,
 libxslt1-dev,
 libyaml-dev,
 libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
 mono-devel [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
 openjdk-11-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 pkg-config,
 python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 python3-greenlet [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 python3-all-dev,
 ruby,
 ruby-all-dev | ruby-dev,
Standards-Version: 4.5.1
Homepage: http://projects.unbit.it/uwsgi/
Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi.git
Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi
Rules-Requires-Root: no

Package: libapache2-mod-ruwsgi
Architecture: any
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cdbs:Recommends},
Suggests:
 ${cdbs:Suggests},
Conflicts:
 libapache2-mod-uwsgi,
Replaces:
 libapache2-mod-uwsgi,
Description: uwsgi module for Apache2 (mod_Ruwsgi)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 This package provides Apache2 module for communicating with uWSGI.
 .
 This is the second module developed and it's more Apache2 API friendly.

Package: libapache2-mod-ruwsgi-dbg
Architecture: any
Section: debug
Depends:
 libapache2-mod-ruwsgi (= ${binary:Version}),
 ${misc:Depends},
Description: debugging symbols for Apache2 mod_Ruwsgi
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for Apache2 mod_Ruwsgi. Install this
 package if you need to debug module or if you need a useful backtrace of a
 crash.

Package: libapache2-mod-uwsgi
Architecture: any
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cdbs:Recommends},
Suggests:
 ${cdbs:Suggests},
Conflicts:
 libapache2-mod-ruwsgi,
Replaces:
 libapache2-mod-ruwsgi,
Description: uwsgi module for Apache2 (mod_uwsgi)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 This package provides Apache2 module for communicating with uWSGI.
 .
 This is the first module developed, it is stable but a bit hacky (it does not
 fully use the Apache2 API).

Package: libapache2-mod-uwsgi-dbg
Architecture: any
Section: debug
Depends:
 libapache2-mod-uwsgi (= ${binary:Version}),
 ${misc:Depends},
Description: debugging symbols for Apache2 mod_uwsgi
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for Apache2 mod_uwsgi. Install this
 package if you need to debug module or if you need a useful backtrace of a
 crash.

Package: python3-uwsgidecorators
Architecture: all
Section: python
Depends:
 uwsgi-core,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: module of decorators for elegant access to uWSGI API (Python 3)
 uwsgidecorators is a simple Python module that exports a bunch of decorators
 to allow a more elegant approach to uWSGI API. Provided decorators helps with
 creating of RPC functions, timers, filemonitors.
 .
 This package provides uwsgidecorators module
 for Python 3.
 .
 uwsgidecorators module is not targeted at Python 3 officially, so some
 decorators may work improperly or not at all.

Package: uwsgi
Architecture: any
Priority: optional
Depends:
 lsb-base,
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast, self-healing application container server
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI daemon(s) with options defined in custom
    user-created configuration files
  * infrastructure for running daemons (like common locations of communication
    sockets, logs)

Package: uwsgi-app-integration-plugins
Architecture: any
Depends:
 uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 uwsgi-plugin-jvm-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 uwsgi-plugin-jwsgi-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 uwsgi-plugin-lua5.1 (= ${binary:Version}),
 uwsgi-plugin-lua5.2 (= ${binary:Version}),
 uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
 uwsgi-plugin-psgi (= ${binary:Version}),
 uwsgi-plugin-python3 (= ${binary:Version}),
 uwsgi-plugin-rack-${uwsgi:RubyKind} (= ${binary:Version}),
 uwsgi-plugin-ring-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 uwsgi-plugin-servlet-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 ${misc:Depends},
Description: plugins for integration of uWSGI and application
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides plugins for integration of uWSGI and
 application:
  * GNU Go
  * Java (OpenJDK 11)
  * JWSGI (OpenJDK 11)
  * Lua WSAPI (Lua 5.1 and 5.2)
  * Mono/ASP.NET
  * Perl PSGI
  * Python WSGI (Python 3)
  * Rack (${uwsgi:RubyKinds})
 .
 Java and Mono plugins are provided only on supported architectures.

Package: uwsgi-core
Architecture: any
Priority: optional
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 nginx-full | cherokee | libapache2-mod-proxy-uwsgi | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
 uwsgi-dev,
 uwsgi-extra,
 uwsgi-plugins-all,
Replaces:
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen,
 wsgi-plugin-admin,
Conflicts:
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen,
 wsgi-plugin-admin,
Provides:
 ${cdbs:Provides},
Description: fast, self-healing application container server (core)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package provides core uWSGI binary (built without any embedded
 plugins) and plugins with no or few dependencies:
 .
 ${uwsgi:corepluginlist}
 .
 forkptyrouter, systemd and tuntap are provided
 only on supported architectures.
 .
 Developing external uWSGI plugin requires the package uwsgi-dev.

Package: uwsgi-dbg
Architecture: any
Section: debug
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 uwsgi-plugins-all,
Description: debugging symbols for uWSGI server and it's plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for uWSGI core binary and plugins.
 Install this package if you need to debug such a program or if you need a
 useful backtrace of a crash.

Package: uwsgi-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
Recommends:
 ${cdbs:Recommends},
Enhances:
 ${cdbs:Enhances},
Description: fast, self-healing application container server (headers)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package provides development headers and tools needed to develop
 external uWSGI plugins, either contained in this package or pulled in
 through depending on development packages of dependent projects.

Package: uwsgi-emperor
Architecture: any
Priority: optional
Depends:
 uwsgi-core (= ${binary:Version}),
 ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast, self-healing application container server (emperor scripts)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,

## uwsgi 2.0.20

=== Makefile ===
PYTHON := python3

all:
	$(PYTHON) uwsgiconfig.py --build $(PROFILE)

clean:
	$(PYTHON) uwsgiconfig.py --clean

check:
	$(PYTHON) uwsgiconfig.py --check

plugin.%:
	$(PYTHON) uwsgiconfig.py --plugin plugins/$* $(PROFILE)

%:
	$(PYTHON) uwsgiconfig.py --build $@

=== debian/changelog ===
uwsgi (2.0.20-4) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * stop build-depend on libpcre2-dev
    (unneeded after all - see bug#1007773)

  [ Alexandre Rossi ]
  * fix php plugin with PHP 8.1;
    closes: #1007774
  * add myself to uploaders
  * add one-systemd-per-app service and socket files

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Mar 2022 12:00:44 +0100

uwsgi (2.0.20-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * fix building apache plugin following apache move to pcre2;
    closes: bug#1007773

  [ Jonas Smedegaard ]
  * acknowledge NMUs;
    thanks to Antonio Terceiro
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Mar 2022 13:20:51 +0100

uwsgi (2.0.20-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Feb 2022 19:07:25 -0300

uwsgi (2.0.20-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace uwsgi-plugin-rack-ruby2.7 with uwsgi-plugin-rack-ruby3.0
    (Closes: #1006119)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Feb 2022 12:42:07 -0300

uwsgi (2.0.20-2) unstable; urgency=medium

  * link againt libyajl
    (and against libjansson only for mongrel2 plugin)
    to avoid certain symbols clash;
    build-depend on libyajl-dev;
    closes: bug#996879, thanks to Maxime Besson

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Oct 2021 16:15:28 +0200

uwsgi (2.0.20-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: update download mangle URI
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2021 02:13:03 +0200

uwsgi (2.0.19.1-8) unstable; urgency=medium

  * update copyright info:
    + improve source script copyright-check
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * drop unused debian/control.in file from source,
    and stop cover cdbs or git-buildpackage in README.source file
  * declare compliance with Debian Policy 4.6.0
  * tighten shell scripts, thanks to shellcheck

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2021 23:33:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,19 @@
 Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
+ Alexandre Rossi <niol@zincube.net>,
 Build-Depends-Indep:
  shellcheck,
 Build-Depends:
- cdbs,
- python3,
- dh-python,
- debhelper,
- dh-buildinfo,
- libpcre3-dev,
- libssl-dev,
- uuid-dev,
- zlib1g-dev,
- libcap-dev [linux-any],
- libjail-dev [kfreebsd-any],
  2to3,
  apache2-dev | apache2-threaded-dev,
+ cdbs,
  cli-common-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
+ debhelper,
  dh-apache2 | apache2-dev,
+ dh-buildinfo,
+ dh-python,
  gccgo [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- libglusterfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  help2man,
  java-common,
  javahelper,
@@ -31,10 +24,13 @@
  libapr1-dev,
  libaprutil1-dev,
  libbz2-dev,
+ libcap-dev [linux-any],
  libcurl4-openssl-dev,
  libdb-dev,
  libgeoip-dev,
  libgloox-dev,
+ libglusterfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ libjail-dev [kfreebsd-any],
  libjansson-dev,
  libkvm-dev [kfreebsd-any],
  libldap2-dev,
@@ -42,25 +38,31 @@
  liblua5.2-dev,
  libonig-dev,
  libpam0g-dev,
+ libpcre3-dev,
  libperl-dev,
  libpq-dev,
  librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  libsqlite3-dev,
+ libssl-dev,
  libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
  libwrap0-dev,
  libxml2-dev,
  libxslt1-dev,
+ libyajl-dev,
  libyaml-dev,
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
  mono-devel [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
  openjdk-11-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  pkg-config,
  python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ python3,
+ python3-all-dev,
  python3-greenlet [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- python3-all-dev,
  ruby,
  ruby-all-dev | ruby-dev,
-Standards-Version: 4.5.1
+ uuid-dev,
+ zlib1g-dev,
+Standards-Version: 4.6.0
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi.git
 Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi
@@ -352,4 +354,3 @@
  .
  uWSGI can be run in preforking, threaded, asynchronous/evented modes and
  supports various forms of green threads/coroutines (such as uGreen, Greenlet,
- Fiber). uWSGI provides several methods of configuration: via command line,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildvars.mk

# exclude broken plugins
# (pkglist tweaking must be done before including most CDBS snippets)
pkg_broken :=
DEB_ARCH_PACKAGES := $(filter-out $(pkg_broken),$(DEB_ARCH_PACKAGES))
DEB_INDEP_PACKAGES := $(filter-out $(pkg_broken),$(DEB_INDEP_PACKAGES))

include /usr/share/cdbs/1/class/python-module.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# TODO: Use only java-common (not java-helper) when bug#814783 is fixed in stable)
-include /usr/share/javahelper/java-vars.mk
-include /usr/share/java/java_defaults.mk

# Needed by upstream build and (always) to build extermal modules
deps-lib = libpcre3-dev, libssl-dev, uuid-dev, zlib1g-dev
deps-lib +=, libcap-dev [linux-any], libjail-dev [kfreebsd-any]

# Needed (always/often) to build external modules
deps-dev = binutils, gcc, python3, python3-distutils, uwsgi-core
deps-dev +=, libc6-dev | libc-dev
deps-dev +=, libbsd-dev [kfreebsd-any]
deps-dev-recommends = git, cppcheck

# the equivalent of "uwsgi-core --dot-h | md5sum" at runtime
abi = $(firstword $(shell echo | cat uwsgi.h - | md5sum))

CDBS_BUILD_DEPENDS +=, $(deps-lib), 2to3
CDBS_DEPENDS_uwsgi-dev +=, $(deps-lib), $(deps-dev)
CDBS_RECOMMENDS_uwsgi-dev +=, $(deps-dev-recommends)
CDBS_PROVIDES_uwsgi-core +=, uwsgi-abi-$(abi)
CDBS_ENHANCES_uwsgi-dev +=, debhelper

# resolve supported architectures for arch-varying build-dependencies
# (in maintainer mode only: uses network and messes with control file)
# * explicitly avoid powerpc for mono: Underlying libgdiplus is missing
ifneq (,$(DEB_MAINTAINER_MODE))
$(shell sh debian/pkgarchs.sh glusterfs-common > debian/ARCHS_glusterfs)
$(shell sh debian/pkgarchs.sh python-greenlet-dev > debian/ARCHS_greenlet)
$(shell sh debian/pkgarchs.sh openjdk-11-jdk > debian/ARCHS_openjdk11)
$(shell sh debian/pkgarchs.sh libmono-2.0-dev | perl -pe 's/\bpowerpc\b//' > debian/ARCHS_mono)
$(shell sh debian/pkgarchs.sh librados-dev > debian/ARCHS_rados)
$(shell sh debian/pkgarchs.sh gccgo > debian/ARCHS_gccgo)
endif
UWSGI_ARCHLISTS = glusterfs greenlet openjdk11 \
	mono rados gccgo
$(foreach list,$(UWSGI_ARCHLISTS),\
	$(eval UWSGI_ARCHS_$(list) := $(shell cat debian/ARCHS_$(list))))
ifneq (,$(DEB_MAINTAINER_MODE))
debian/control::
	sed -i \
		$(foreach list,$(UWSGI_ARCHLISTS),\
			-e 's/@$(list)_archs@/$(UWSGI_ARCHS_$(list))/g') \
		-e 's/@ruby_kind@/$(UWSGI_KIND_ruby)/g' \
		debian/control
endif

# Common variables
# ================

UWSGI_ENV = CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

UWSGI_BUILDER = uwsgiconfig.py -v

APACHE2_API := $(shell perl -ne 'print $$1 if m/our\s+\$$API\s+=\s+"(.*)"/' < $(shell which dh_apache2))
APACHE2_BUILDER := apxs2 -c $(shell apr-config --link-ld) $(shell apu-config --link-ld)

# Transform plugin's package name to plugin's name:
# * delete dots
# * replace '-' with '_'
# * strip trailing openjdk delimiter
pkg_name_to_plugin_name = $(strip \
	$(subst openjdk_,openjdk,$(subst -,_,$(subst .,,$(1)))))

UWSGI_PLUGIN_INFILES := $(wildcard debian/*__PLUGIN__*.in)
UWSGI_PLUGINLANGS = python java lua ruby

UWSGI_KINDS_python = python3
UWSGI_SRCPLUGINS_LANG_SELF += python
UWSGI_SRCPLUGINS_python = asyncio gevent greenlet tornado

# TODO: avoid non-default java kinds until spearate package uwsgi-java added
UWSGI_KINDS_java = openjdk-11
UWSGI_DEFAULTKIND_java = openjdk-11
UWSGI_SRCPLUGINS_java = jvm jwsgi ring servlet

UWSGI_KINDS_lua = lua5.1 lua5.2
UWSGI_DEFAULTKIND_lua = lua5.1
UWSGI_SRCPLUGINS_LANG_SELF += lua

# Ruby kinds resolved as per packaging team policy (see bug#755779)
# TODO: simplify when ruby-all-dev is in stable
# TODO: maybe simplify to call "dh_ruby --print-supported" when stable
UWSGI_DEFAULTKIND_ruby := $(notdir $(shell readlink -f /usr/bin/ruby))
UWSGI_KINDS_ruby := $(strip \
	$(if $(wildcard /usr/lib/ruby/vendor_ruby/ruby_debian_dev.rb),\
		$(shell ruby -rruby_debian_dev \
			-e 'include RubyDebianDev;' \
			-e 'SUPPORTED_RUBY_VERSIONS.select! do |version, binary|;' \
				-e 'puts version;' \
			-e 'end'),\
		$(UWSGI_DEFAULTKIND_ruby)))
# dirty hack: use only default kind even where multiple should work
# TODO: support multiple Ruby kinds (requires dynamic control file sections)
UWSGI_KINDS_ruby := $(filter $(UWSGI_DEFAULTKIND_ruby),$(UWSGI_KINDS_ruby))
UWSGI_KIND_ruby := $(UWSGI_KINDS_ruby)$(strip $(if $(strip \
	$(filter 1,$(words $(UWSGI_KINDS_ruby)))),\
		,\
		$(error ERROR: multiple Ruby kinds not supported)))
UWSGI_SRCPLUGINS_ruby = rack

UWSGI_PLUGIN_PACKAGES = $(filter uwsgi-plugin-%,$(DEB_PACKAGES))

UWSGI_SRCPLUGINS_AVAILABLE := $(sort $(notdir $(wildcard plugins/*)))
UWSGI_SRCPLUGINS_ZEROMQ = emperor_zeromq logzmq mongrel2
UWSGI_SRCPLUGINS_ARCH_gccgo = gccgo
# TODO: enable PyPy when supported by CDBS
UWSGI_SRCPLUGINS_TODO = pypy
# plugins not yet ready for production use
UWSGI_SRCPLUGINS_EXPERIMENTAL = libffi libtcc router_spnego
# plugins irrelevant/unusable for Debian
UWSGI_SRCPLUGINS_ALIEN = airbrake alarm_speech matheval mongodb \
    stackless emperor_mongodb gridfs mongodblog php \
	stats_pusher_mongodb v8
UWSGI_SRCPLUGINS_DEMO = cplusplus dumbloop dummy example exception_log
UWSGI_SRCPLUGINS_UNKNOWN = legion_cache_fetch objc_gc pyuwsgi ruby19
UWSGI_SRCPLUGINS_EXCLUDE = $(UWSGI_SRCPLUGINS_ALIEN) \
	$(UWSGI_SRCPLUGINS_DEMO) $(UWSGI_SRCPLUGINS_EXPERIMENTAL) \
	$(UWSGI_SRCPLUGINS_TODO) $(UWSGI_SRCPLUGINS_UNKNOWN) coroae
UWSGI_SRCPLUGINS_WANTED = $(filter-out $(UWSGI_SRCPLUGINS_EXCLUDE),\
	$(UWSGI_SRCPLUGINS_AVAILABLE))
UWSGI_SRCPLUGINS_ADDON_LANG = $(call pkg_name_to_plugin_name,\
	$(UWSGI_SRCPLUGINS_LANG_SELF) \
	$(foreach lang,$(UWSGI_PLUGINLANGS),$(UWSGI_SRCPLUGINS_$(lang))))
UWSGI_SRCPLUGINS_ADDON_MISC = alarm_curl alarm_xmpp curl_cron \
	emperor_pg fiber gccgo geoip glusterfs graylog2 ldap mono psgi \
	rados rbthreads router_access sqlite3 xslt
# tun/tap is unavailable on the Hurd
# systemd is available only on linux
# tuntap plugin broken on kFreeBSD: https://github.com/unbit/uwsgi/issues/695
UWSGI_SRCPLUGINS_SKIP = \
	$(foreach list,$(UWSGI_ARCHLISTS),\
		$(if $(filter-out $(UWSGI_ARCHS_$(list)),$(DEB_HOST_ARCH)),\
			$(UWSGI_SRCPLUGINS_ARCH_$(list)))) \
	$(if $(filter hurd,$(DEB_HOST_ARCH_OS)),\
		tuntap) \
	$(if $(filter kfreebsd,$(DEB_HOST_ARCH_OS)),\
		tuntap) \
	$(if $(filter-out linux,$(DEB_HOST_ARCH_OS)),\
		systemd_logger)
UWSGI_SRCPLUGINS_SKIPINSTALL =
UWSGI_SRCPLUGINS_CORE = $(filter-out \
	$(UWSGI_SRCPLUGINS_ADDON_LANG) $(UWSGI_SRCPLUGINS_ADDON_MISC) \
	$(UWSGI_SRCPLUGINS_SKIP),\
	$(UWSGI_SRCPLUGINS_WANTED))
UWSGI_SRCPLUGINS_CORE_INSTALL = $(filter-out \
	$(UWSGI_SRCPLUGINS_SKIPINSTALL),\
	$(UWSGI_SRCPLUGINS_CORE))

UWSGI_MODULE_INFILES := $(wildcard debian/*__MODULE__*.in)

UWSGI_MODULES_apache = uwsgi ruwsgi proxy-uwsgi

# types of packaging scripts to use (tried from left to right)
# * pri: binary and library
# * sec: only binary
# * aux: only library
# * *-py: same as above but for (potentially) multiple python flavors
# * openjdk: non-java code linked against OpenJDK
# * python: python hooks
# * single: only one flavor exist
UWSGI_PKGSCRIPTS_DEFAULT = sec
UWSGI_PKGSCRIPTS_jvm = openjdk pri
UWSGI_PKGSCRIPTS_jwsgi = openjdk aux
UWSGI_PKGSCRIPTS_ring = openjdk aux
UWSGI_PKGSCRIPTS_servlet = openjdk aux
UWSGI_PKGSCRIPTS_lua = pri
UWSGI_PKGSCRIPTS_mono = pri
UWSGI_PKGSCRIPTS_rack = pri
UWSGI_PKGSCRIPTS_rbthreads = single aux
UWSGI_PKGSCRIPTS_fiber = single aux
UWSGI_PKGSCRIPTS_python = python pri-py pri
UWSGI_PKGSCRIPTS_gevent = python aux-py aux
UWSGI_PKGSCRIPTS_greenlet = python aux-py aux
UWSGI_PKGSCRIPTS_tornado = python aux-py aux
UWSGI_PKGSCRIPTS_asyncio = python aux-py aux

# Stem-based variables
# ====================

pkg_name = $(cdbs_curpkg)

plugin_name = $(call pkg_name_to_plugin_name,$*)
plugin_is_lang = $(strip $(or \
	$(foreach lang,$(UWSGI_PLUGINLANGS),\
		$(if $(filter $(UWSGI_KINDS_$(lang)),$*),$(lang)))))
plugin_implies_lang = $(strip $(or \
	$(if $(filter rbthreads fiber,$*),\
		ruby)))

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
dversionmangle=auto,repacksuffix=~dfsg,\
downloadurlmangle=s%.*Changelog-@ANY_VERSION@\.html%https://projects.unbit.it/downloads/@PACKAGE@-$1.tar.gz%,\
filenamemangle=s/.*Changelog-@ANY_VERSION@\.html/@PACKAGE@-$1.tar.gz/ \
https://uwsgi-docs.readthedocs.io/en/latest/ \
Changelog@ANY_VERSION@\.html

## uwsgi 2.0.21

=== debian/changelog ===
uwsgi (2.0.21-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Replaces on uwsgi-plugin-jvm-openjdk-11 (Closes: #1035005)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 19 May 2023 09:59:29 -0400

uwsgi (2.0.21-5) unstable; urgency=medium

  * skip shellcheck test when DEB_BUILD_OPTIONS=nocheck;
    annotate shellcheck as test-only build-dependency;
    closes: bug#1031857, thanks to Johannes Schauer Marin Rodrigues

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Feb 2023 12:50:43 +0100

uwsgi (2.0.21-4) unstable; urgency=medium

  * add patch cherry-picked upstream to fix build with PHP >= 8.2;
    (see bug#1028092)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jan 2023 10:58:47 +0100

uwsgi (2.0.21-3) unstable; urgency=medium

  * have uwsgi-dev depend on uwsgi-src and provide dh-sequence-uwsgi;
    have uwsgi-src stop suggest (not recommend) uwsgi-dev
  * declare compliance with Debian Policy 4.6.2
  * tighten packaging scripts: quote paths strings

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Dec 2022 14:20:11 +0100

uwsgi (2.0.21-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Dec 2022 21:01:26 +0100

uwsgi (2.0.21-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file:
    + track Github tags (not no longer offered upstream tarballs)
  * simplify source helper tool copyright-check
  * update copyright info: update coverage
  * provide binary package uwsgi-plugin-rack-ruby3.1
    (not uwsgi-plugin-rack-ruby3.0);
    closes: bug#1025248, thanks to Lucas Kanashiro
  * provide binary packages
    uwsgi-plugin-jvm-openjdk-17 uwsgi-plugin-jwsgi-openjdk-17
    uwsgi-plugin-ring-openjdk-17 uwsgi-plugin-servlet-openjdk-17
    (not uwsgi-plugin-jvm-openjdk-11 uwsgi-plugin-jwsgi-openjdk-11
    uwsgi-plugin-ring-openjdk-11 uwsgi-plugin-servlet-openjdk-11);
    build-depend on openjdk-17-jdk (not openjdk-11-jdk);
    depend on openjdk-17-jre-headless
    (not openjdk-11-jre-headless);
    closes: bug#1024459, thanks to Emmanuel Bourg
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Dec 2022 20:20:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jonas Smedegaard <dr@jones.dk>,
  Alexandre Rossi <niol@zincube.net>,
 Build-Depends-Indep:
- shellcheck,
+ shellcheck <!nocheck>,
 Build-Depends:
  2to3,
  apache2-dev | apache2-threaded-dev,
@@ -52,7 +52,7 @@
  libyaml-dev,
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
  mono-devel [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
- openjdk-11-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ openjdk-17-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  pkg-config,
  python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  python3,
@@ -62,7 +62,7 @@
  ruby-all-dev | ruby-dev,
  uuid-dev,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi.git
 Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi
@@ -195,16 +195,16 @@
 Architecture: any
 Depends:
  uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jvm-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jwsgi-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-jvm-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-jwsgi-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
  uwsgi-plugin-lua5.2 (= ${binary:Version}),
  uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
  uwsgi-plugin-psgi (= ${binary:Version}),
  uwsgi-plugin-python3 (= ${binary:Version}),
  uwsgi-plugin-rack-${uwsgi:RubyKind} (= ${binary:Version}),
- uwsgi-plugin-ring-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-servlet-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-ring-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-servlet-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  ${misc:Depends},
 Description: plugins for integration of uWSGI and application
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -216,8 +216,8 @@
  This dependency package provides plugins for integration of uWSGI and
  application:
   * GNU Go
-  * Java (OpenJDK 11)
-  * JWSGI (OpenJDK 11)
+  * Java (OpenJDK 17)
+  * JWSGI (OpenJDK 17)
   * Lua WSAPI (Lua 5.1 and 5.2)
   * Mono/ASP.NET
   * Perl PSGI
@@ -325,12 +325,15 @@
 Multi-Arch: foreign
 Section: libdevel
 Depends:
+ uwsgi-src (= ${source:Version}),
  ${cdbs:Depends},
  ${misc:Depends},
 Recommends:
  ${cdbs:Recommends},
 Enhances:
  ${cdbs:Enhances},
+Provides:
+ dh-sequence-uwsgi,
 Description: fast, self-healing application container server (headers)
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
@@ -353,4 +356,3 @@
  It uses the uwsgi protocol for all the networking/interprocess communications.
  .
  uWSGI can be run in preforking, threaded, asynchronous/evented modes and
- supports various forms of green threads/coroutines (such as uGreen, Greenlet,

=== debian/rules ===
--- 
+++ 
@@ -40,12 +40,12 @@
 ifneq (,$(DEB_MAINTAINER_MODE))
 $(shell sh debian/pkgarchs.sh glusterfs-common > debian/ARCHS_glusterfs)
 $(shell sh debian/pkgarchs.sh python-greenlet-dev > debian/ARCHS_greenlet)
-$(shell sh debian/pkgarchs.sh openjdk-11-jdk > debian/ARCHS_openjdk11)
+$(shell sh debian/pkgarchs.sh openjdk-17-jdk > debian/ARCHS_openjdk17)
 $(shell sh debian/pkgarchs.sh libmono-2.0-dev | perl -pe 's/\bpowerpc\b//' > debian/ARCHS_mono)
 $(shell sh debian/pkgarchs.sh librados-dev > debian/ARCHS_rados)
 $(shell sh debian/pkgarchs.sh gccgo > debian/ARCHS_gccgo)
 endif
-UWSGI_ARCHLISTS = glusterfs greenlet openjdk11 \
+UWSGI_ARCHLISTS = glusterfs greenlet openjdk17 \
 	mono rados gccgo
 $(foreach list,$(UWSGI_ARCHLISTS),\
 	$(eval UWSGI_ARCHS_$(list) := $(shell cat debian/ARCHS_$(list))))
@@ -83,8 +83,8 @@
 UWSGI_SRCPLUGINS_python = asyncio gevent greenlet tornado
 
 # TODO: avoid non-default java kinds until spearate package uwsgi-java added
-UWSGI_KINDS_java = openjdk-11
-UWSGI_DEFAULTKIND_java = openjdk-11
+UWSGI_KINDS_java = openjdk-17
+UWSGI_DEFAULTKIND_java = openjdk-17
 UWSGI_SRCPLUGINS_java = jvm jwsgi ring servlet
 
 UWSGI_KINDS_lua = lua5.1 lua5.2

## uwsgi 2.0.22

=== debian/changelog ===
uwsgi (2.0.22-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * fix typo in d/uwsgi-core.README.Debian
  * update pcre2 patch from upstream merge request
  * add documentation link to systemd unit files
  * systemd socket unit: directly use /run instead of /var/run
  * add lintian override for missing uwsgi systemd service (Closes: #833067)
  * fix regular expressions for mangling debian/rules;
    really truly closes: bug#1051752

  [ Jonas Smedegaard ]
  * update regular expressions for mangling debian/rules:
    + tighten and merge patterns
    + fix properly cover greenlet openjdk mono rados gccgo
      (not only glusterfs)
  * really exclude arch mipsel and add arch riscv64
    related to greenlet openjdk mono rados gccgo

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Sep 2023 17:18:53 +0200

uwsgi (2.0.22-3) unstable; urgency=medium

  * fix refreshing build-dependencies
    with custom command `DEB_MAINTAINER_MODE=1 debian/rules clean`
  * update arch-specific build-dependencies;
    really closes: bug#1051752, thanks (again) to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Sep 2023 09:46:25 +0200

uwsgi (2.0.22-2) unstable; urgency=medium

  * exclude arches armel armhf i386 from glusterfs build-dependencies,
    and add arch riscv64;
    closes: bug#1051752, thanks to Sebastian Ramacher
  * exclude arch mipsel from gccgo build-dependencies
  * exclude arch mipsel from greenlet build-dependencies,
    and add arch riscv64
  * exclude arch mipsel from mono build-dependencies
  * exclude arch mipsel from openjdk17 build-dependencies,
    and add arch riscv64
  * exclude arch mipsel from rados build-dependencies
  * drop binary package uwsgi-plugin-lua5.2;
    stop build-depend on liblua5.2-dev;
    closes: bug#1050753, thanks to Bastian Germann

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Sep 2023 22:03:09 +0200

uwsgi (2.0.22-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2023 10:30:30 +0200

uwsgi (2.0.21-6) unstable; urgency=medium

  * add patch cherry-picked upstream to switch to pcre2;
    build-depend on libpcre2-dev (not libpcre3-dev);
    closes: bug#999936, thanks to Matthew Vernon and Alexandre Rossi
  * enable riscv64 in gccgo build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Jul 2023 08:55:53 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
  2to3,
  apache2-dev | apache2-threaded-dev,
  cdbs,
- cli-common-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
+ cli-common-dev [amd64 arm64 armel armhf i386 ppc64el s390x],
  debhelper,
  dh-apache2 | apache2-dev,
  dh-buildinfo,
  dh-python,
- gccgo [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ gccgo [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  help2man,
  java-common,
  javahelper,
@@ -29,19 +29,18 @@
  libdb-dev,
  libgeoip-dev,
  libgloox-dev,
- libglusterfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ libglusterfs-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
  libjail-dev [kfreebsd-any],
  libjansson-dev,
  libkvm-dev [kfreebsd-any],
  libldap2-dev,
  liblua5.1-0-dev,
- liblua5.2-dev,
  libonig-dev,
  libpam0g-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libperl-dev,
  libpq-dev,
- librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ librados-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
  libsqlite3-dev,
  libssl-dev,
  libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
@@ -51,13 +50,13 @@
  libyajl-dev,
  libyaml-dev,
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
- mono-devel [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
- openjdk-17-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ mono-devel [amd64 arm64 armel armhf i386 ppc64el s390x],
+ openjdk-17-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  pkg-config,
- python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  python3,
  python3-all-dev,
- python3-greenlet [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ python3-greenlet [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  ruby,
  ruby-all-dev | ruby-dev,
  uuid-dev,
@@ -194,17 +193,16 @@
 Package: uwsgi-app-integration-plugins
 Architecture: any
 Depends:
- uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jvm-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jwsgi-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+ uwsgi-plugin-jvm-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+ uwsgi-plugin-jwsgi-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
- uwsgi-plugin-lua5.2 (= ${binary:Version}),
- uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
+ uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 ppc64el s390x],
  uwsgi-plugin-psgi (= ${binary:Version}),
  uwsgi-plugin-python3 (= ${binary:Version}),
  uwsgi-plugin-rack-${uwsgi:RubyKind} (= ${binary:Version}),
- uwsgi-plugin-ring-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-servlet-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-ring-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+ uwsgi-plugin-servlet-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  ${misc:Depends},
 Description: plugins for integration of uWSGI and application
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -218,7 +216,7 @@
   * GNU Go
   * Java (OpenJDK 17)
   * JWSGI (OpenJDK 17)
-  * Lua WSAPI (Lua 5.1 and 5.2)
+  * Lua WSAPI (Lua 5.1)
   * Mono/ASP.NET
   * Perl PSGI
   * Python WSGI (Python 3)
@@ -356,3 +354,5 @@
  It uses the uwsgi protocol for all the networking/interprocess communications.
  .
  uWSGI can be run in preforking, threaded, asynchronous/evented modes and
+ supports various forms of green threads/coroutines (such as uGreen, Greenlet,
+ Fiber). uWSGI provides several methods of configuration: via command line,

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 -include /usr/share/javahelper/java-vars.mk
 -include /usr/share/java/java_defaults.mk
 
-# Needed by upstream build and (always) to build extermal modules
-deps-lib = libpcre3-dev, libssl-dev, uuid-dev, zlib1g-dev
+# Needed by upstream build and (always) to build external modules
+deps-lib = libpcre2-dev, libssl-dev, uuid-dev, zlib1g-dev
 deps-lib +=, libcap-dev [linux-any], libjail-dev [kfreebsd-any]
 
 # Needed (always/often) to build external modules
@@ -51,10 +51,13 @@
 	$(eval UWSGI_ARCHS_$(list) := $(shell cat debian/ARCHS_$(list))))
 ifneq (,$(DEB_MAINTAINER_MODE))
 debian/control::
-	sed -i \
-		$(foreach list,$(UWSGI_ARCHLISTS),\
-			-e 's/@$(list)_archs@/$(UWSGI_ARCHS_$(list))/g') \
-		-e 's/@ruby_kind@/$(UWSGI_KIND_ruby)/g' \
+	perl -i -p -0 \
+		-e 's/(?:libglusterfs-dev \[|uwsgi-plugin-glusterfs(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_glusterfs)/g;' \
+		-e 's/(?:python3?-greenlet(?:-dev)? \[|uwsgi-plugin-(?:gevent|greenlet)-python3(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_greenlet)/g;' \
+		-e 's/(?:openjdk-17-jdk \[|uwsgi-plugin-(?:jvm|jwsgi|ring|servlet)-openjdk-17(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_openjdk17)/g;' \
+		-e 's/(?:(?:cli-common-dev|mono-devel) \[|uwsgi-plugin-mono(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_mono)/g;' \
+		-e 's/(?:librados-dev \[|uwsgi-plugin-rados(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_rados)/g;' \
+		-e 's/(?:gccgo \[|uwsgi-plugin-gccgo(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_gccgo)/g;' \
 		debian/control
 endif
 
@@ -87,7 +90,7 @@
 UWSGI_DEFAULTKIND_java = openjdk-17
 UWSGI_SRCPLUGINS_java = jvm jwsgi ring servlet
 
-UWSGI_KINDS_lua = lua5.1 lua5.2
+UWSGI_KINDS_lua = lua5.1
 UWSGI_DEFAULTKIND_lua = lua5.1
 UWSGI_SRCPLUGINS_LANG_SELF += lua
 
@@ -180,23 +183,3 @@
 UWSGI_PKGSCRIPTS_lua = pri
 UWSGI_PKGSCRIPTS_mono = pri
 UWSGI_PKGSCRIPTS_rack = pri
-UWSGI_PKGSCRIPTS_rbthreads = single aux
-UWSGI_PKGSCRIPTS_fiber = single aux
-UWSGI_PKGSCRIPTS_python = python pri-py pri
-UWSGI_PKGSCRIPTS_gevent = python aux-py aux
-UWSGI_PKGSCRIPTS_greenlet = python aux-py aux
-UWSGI_PKGSCRIPTS_tornado = python aux-py aux
-UWSGI_PKGSCRIPTS_asyncio = python aux-py aux
-
-# Stem-based variables
-# ====================
-
-pkg_name = $(cdbs_curpkg)
-
-plugin_name = $(call pkg_name_to_plugin_name,$*)
-plugin_is_lang = $(strip $(or \
-	$(foreach lang,$(UWSGI_PLUGINLANGS),\
-		$(if $(filter $(UWSGI_KINDS_$(lang)),$*),$(lang)))))
-plugin_implies_lang = $(strip $(or \
-	$(if $(filter rbthreads fiber,$*),\
-		ruby)))

## uwsgi 2.0.23

=== debian/changelog ===
uwsgi (2.0.23-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * add patch 1007 to properly init cache for purge_lru

  [ Jonas Smedegaard ]
  * unfuzz patches; update DEP-3 patch headers
  * add arch riscv64 to rados build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 13:35:41 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  libpcre2-dev,
  libperl-dev,
  libpq-dev,
- librados-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
+ librados-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  libsqlite3-dev,
  libssl-dev,
  libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
